#include <stdio.h>
#include <string.h>

void imprimirarchivo(FILE *arch) {
	char buffer[1024];
	
	while(!feof(arch)) {
		memset(buffer, 0, 1024);
		fgets(buffer, 1024, arch);
		fputs(buffer, stdout);
	}
	
	return;
}

int main(int argc, char *argv[]) {
	int i;
	FILE *archivo;
	
	if(argc < 2) {
		fprintf(stderr, "%s: Argumentos insuficientes.\n", argv[0]);
		return -1;
	}
	
	for(i = 1; i < argc; i++) {
		archivo = fopen(argv[i], "r");
		if(archivo != NULL) {
			imprimirarchivo(archivo);
			fclose(archivo);
		} else {
			fprintf(stderr, "%s: Error abriendo archivo %s\n", argv[0], argv[i]);
		}
	}
	
	return 0;
}
